Bug 435752 - Selecting icon sets is not supported on Windows
Summary: Selecting icon sets is not supported on Windows
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.1
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks: 435581
  Show dependency treegraph
 
Reported: 2021-04-15 02:35 UTC by Ralf Habacker
Modified: 2021-04-17 07:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2021-04-15 02:35:04 UTC
SUMMARY
At bug 426414 it has been stated, that in the settings dialog the page selecting an icon style different does not support any entry except 'system.'   

STEPS TO REPRODUCE
1. download portable package of kmymoney from binary-factory.kde.org or kmymoney.org/snapshots.php and unpack
2. start kmymoney
3. enter settings dialog and select page 'symbols'
4. change the selected entry, press save and restart kmymoney

OBSERVED RESULT
The used icon set is not changed.

EXPECTED RESULT
On Windows that settings page should not be visible to not confuse the user

SOFTWARE/OS VERSIONS
Windows: 10
KDE Frameworks Version: 5.65 
Qt Version: 5.11

ADDITIONAL INFORMATION
The availability of different icon sets depends on the installation of corresponding icon sets, of which only breeze and breeze-dark are available for Windows, and a correct matching of the search paths between Qt5, kicontheme and the application.
Comment 1 Dawid Wróbel 2021-04-16 00:29:01 UTC
Quite sure I removed the icons settings panel for Mac and Windows in master already.
Comment 2 Thomas Baumgart 2021-04-17 07:49:22 UTC
Git commit 32f65ac10c9cfa098c16698fafc9d9aca283cd4d by Thomas Baumgart.
Committed on 17/04/2021 at 07:48.
Pushed by tbaumgart into branch '5.1'.

Remove icon set selection from Windows and Mac builds
FIXED-IN: 5.1.2

M  +6    -0    kmymoney/dialogs/settings/ksettingskmymoney.cpp

https://invent.kde.org/office/kmymoney/commit/32f65ac10c9cfa098c16698fafc9d9aca283cd4d